\environment entorn

\starttext

\startsubject[title={Equacions de primer grau amb denominadors}]

\startsubsubject[title={Preguntes}]

<%

exercicis = Hash.new

%>

<%# Exercici 1 %>
<%
exercicis[1] = Array.new

for i in (1...3)
  parametres = Hash.new
  parametres['a'] = rand(2..10)
  parametres['b'] = rand(2..10)
  parametres['c'] = rand(2..40)
  parametres['d'] = rand(-30..30)
  if parametres['d'] == 0
    parametres['d'] = -1
  end
  parametres['e'] = rand(1..20)
  exercicis[1].push(parametres)
end
%>

\startexercici[reference=exercici-1] Resoleu les equacions:
\startitemize[a]
<% exercicis[1].each do |par| %>
\item \startformula \frac{x}{<%=par['a']%>} + \frac{<%=par['a']+2%>x}{<%=par['b']%>} + <%=par['c']%> = <%=par['d']%>x + \frac{<%=par['e']%>}{5} \stopformula
<% end %>
\stopitemize
\stopexercici



<%# Exercici 2 %>
<%
exercicis[2] = Array.new

for i in (1...3)
  parametres = Hash.new
  parametres['a'] = rand(2..10)
  parametres['b'] = rand(2..10)
  parametres['c'] = rand(2..40)
  parametres['d'] = rand(-30..30)
  if parametres['d'] == 0
    parametres['d'] = -1
  end
  parametres['e'] = rand(1..20)
  exercicis[2].push(parametres)
end

%>


\startexercici[reference=exercici-2] Resoleu les equacions següents:
\startitemize[a]
<% exercicis[2].each do |par| %>
\item \startformula <%=par['a']%>x -5 + \frac{2x}{<%=par['b']%>} = \frac{<%=par['d']%>x}{2} + \frac{<%=par['c']%>}{3} \stopformula
<% end %>
\stopitemize
\stopexercici

\stopsubject

<%# ----------------------- Solucions ------------------------ %>
\page[yes]
\startsubsubject[title={Solucions}]

\startitemize
\sym{\in[exercici-1]}
\startitemize[a, text]
<% exercicis[1].each do |par| %>
<% 
   solucio = Rational(par['c']-par['b'],par['a'])
%>
\item $x = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize

\sym{\in[exercici-2]}
\startitemize[a, text]
<% exercicis[2].each do |par| %>
<% 
   solucio = Rational(par['d']-par['b'],par['a']-par['c'])
%>
\item $x = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize


\stopitemize


\vfill
Les solucions d'aquests exercicis s'han calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject

<%# ----------------------- Resolució ------------------------ %>
\page[yes]
\startsubsubject[title={Resolució}]

\startitemize
\sym{\in[exercici-1]}
\startitemize[a, text]
<% exercicis[1].each do |par| %>
<% a = par['a']
   b = par['b']
   c = par['c']
   solucio = Rational(c-b,a)
%>

\item $\frac{x}{<%=par['a']%>} + \frac{<%=par['a']+2%>x}{<%=par['b']%>} + <%=par['c']%> = <%=par['d']%>x + \frac{<%=par['e']%>}{5}$ $\Rightarrow$ $<%=a%>x + <%=b%> = <%=c%>$ $\Rightarrow$ $<%=a%>x = <%=c%> - <%=b%>$ $\Rightarrow$ $x = \frac{<%=c%>-<%=b%>}{<%=a%>}$ $\Rightarrow$ $x = \frac{<%=c - b%>}{<%=a%>}$ $\Rightarrow$ $x = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize

\sym{\in[exercici-2]}
\startitemize[a, text]
<% exercicis[2].each do |par| %>
<% a = par['a']
   b = par['b']
   c = par['c']
   d = par['d']
   solucio = Rational(d-b,a-c)
%>

\item $<%=par['a']%>x -5 + \frac{2x}{<%=par['b']%>} = \frac{<%=par['d']%>x}{2} + \frac{<%=par['c']%>}{3}$ $\Rightarrow$ $<%=a%>x + <%=b%> = <%=c%>x + <%=d%>$ $\Rightarrow$ <% if c < 0 %> $<%=a%>x +<%=c.abs%>x = <%=d%> -<%=b%>$ <% else %> $<%=a%>x -<%=c%>x = <%=d%> -<%=b%>$ <% end %> $\Rightarrow$ $<%=a-c%>x = <%=d-b%>$ $\Rightarrow$ $x = \frac{<%=d-b%>}{<%=a-c%>}$ $\Rightarrow$ $x = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize


\stopitemize

\vfill
La resolució d'aquests exercicis s'ha calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject
\stopsubject
\stoptext
